Subject: Re: linux-next: build failure after merge of most trees

From: Nicholas Piggin <[email-masked]>
Date: Fri, 23 Jun 2017 00:33:39 +1000

On Thu, 22 Jun 2017 10:13:06 -0400 (EDT)
David Miller <[email-masked]> wrote:

> From: Nicholas Piggin <[email-masked]>
> Date: Thu, 22 Jun 2017 18:41:16 +1000
> 
> > Is there any way for the linker to place the inputs to avoid unresolvable
> > relocations where possible?  
> 
> I don't think so.
> 
> > A way to work around this is to make arch/sparc/lib/hweight.o an obj-y
> > rather than lib-y. That's a hack because it just serves to move the
> > input location, but not really any more of a hack than the current code
> > that also only works because of input locations...  
> 
> I could adjust those branches in the sparc code into indirect calls
> but it's going to perform a bit poorly on older cpus.

The build succeeds with your patch. That should solve it properly
so it won't come back to bite again.

If you can tolerate the slowdown on old CPUs I'd be grateful if
we could merge it for linux-next to get this thin archives tree
unblocked.

Thanks,
Nick